index

Varkon MBS Programmers manual

# rval - Function

## Description

Converts a string of characters to a reference.

## Syntax

      id:=rval(s);

      ref    id;
      string s;

## Principal parameters

s | - The string to convert.

## Optional parameters

None.

## Return value

The corresponding REF value. If the contents of s is not possible to convert Varkon will stop execution and issue an error message.

## Examples

      id:=rval("#5.2#7");    ! Returns id = #5.2#7

## See also

ival(), fval()

Varkon version 1.19C svn# 120